Last Comment Bug 690134 - Fennec shows non-interactive UI on firstrun instead of splash screen
: Fennec shows non-interactive UI on firstrun instead of splash screen
Status: VERIFIED FIXED
: verified-aurora
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: All Android
: -- normal (vote)
: Firefox 9
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
Depends on:
Blocks: 687312
  Show dependency treegraph
 
Reported: 2011-09-28 15:45 PDT by Matt Brubeck (:mbrubeck)
Modified: 2011-10-08 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.14 KB, patch)
2011-09-29 05:43 PDT, Mark Finkle (:mfinkle) (use needinfo?)
mbrubeck: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2011-09-28 15:45:37 PDT
Steps to reproduce (on Android 2.x):
1. Uninstall and reinstall Fennec, or choose "Clear Data" in the Android application settings.
2. Start Fennec.

Expected results: A splash screen with the application logo appears during startup on first-run, and a non-interactive UI screenshot appears during startup on later runs (bug 687312).

Actual result: The non-interactive UI appears during startup on first run.

Tested using 20110928 Nightly on Galaxy Tab 7" (Android 2.2).
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-09-29 05:43:33 PDT
Created attachment 563378 [details] [diff] [review]
patch

The folder I was using as a trigger now always exists by the time the splashscreen code runs. Bug 688692 fixed the folders used by the crash reporter.

So, I changed to use a folder that only the GeckoApp code controls: "components"

This fixes the bug. If anyone has a better idea, I am all ears. Remember, the profile folder itself could be on the sdcard, so we can't assume it's always in files/profile

We could try to check both locations?

This patch works for now.
Comment 2 Matt Brubeck (:mbrubeck) 2011-09-29 09:27:35 PDT
Comment on attachment 563378 [details] [diff] [review]
patch

r=mbrubeck

Also requesting approval for Aurora 9.  This is a safe Android-only change that fixes a highly visible regression (app appears to hang for a long time during first run) by just replacing one string literal that tells us which directory's existence to check during startup.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-09-29 09:50:19 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/4320fd88ed15
Comment 4 :Ehsan Akhgari (away Aug 1-5) 2011-09-29 15:52:35 PDT
https://hg.mozilla.org/mozilla-central/rev/4320fd88ed15
Comment 5 Matt Brubeck (:mbrubeck) 2011-09-29 16:00:05 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/2424db0f3fb4
Comment 6 Aaron Train [:aaronmt] 2011-09-30 08:09:54 PDT
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20110930 Firefox/10.0a1 Fennec/10.0a1
Mozilla/5.0 (Android; Linux armv7l; rv:9.0a2) Gecko/20110930 Firefox/9.0a2 Fennec/9.0a2
Comment 7 u88484 2011-10-08 14:00:47 PDT
I didn't see this bug until a few days ago and I'm guessing the checkin here caused it.  Now when I start Fennec I'm immediately shown a non-interactive UI instead of the splash screen.  I did not experience this until a few days ago after an update.

EVO4G running Cyanogen mod 7.1.0-rc1 android 2.3.4
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-08 14:16:54 PDT
(In reply to Kurt Schultz (supernova_00) from comment #7)
> I didn't see this bug until a few days ago and I'm guessing the checkin here
> caused it.  Now when I start Fennec I'm immediately shown a non-interactive
> UI instead of the splash screen.  I did not experience this until a few days
> ago after an update.
> 
> EVO4G running Cyanogen mod 7.1.0-rc1 android 2.3.4

Correct. This is as designed. How long do you stare at the static UI?
Comment 9 u88484 2011-10-08 14:46:55 PDT
After an update and also after a reboot it is just over 5 seconds

Note You need to log in before you can comment on or make changes to this bug.